<?php
/** 
 * @link              https://screencast.porncms.com/ 
 * @since             1.0.0 
 * @package           embed_screencast_porncms_com_CAST 
 * 
 * @wordpress-plugin 
 * Plugin Name:       Embed PornCMS.com
 * Plugin URI:        https://www.porncms.com/wordpress.php 
 * Description:       Extends WordPress EMBED function to allow embedding of video from screencast.porncms.com. 
 * Version:           1.0.0 
 * Author:            PornCMS 
 * Author URI:        https://www.porncms.com/ 
 * License:           GPL-2.0+ 
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt 
 * Text Domain:       embed_screencast_porncms_com_CAST 
 */ 
 
if ( ! defined( 'WPINC' ) ) { 
	die; 
} 
 
define( 'EMBED_SCREENCAST_PORNCMS_COM_CAST_VERSION', '1.0.0' ); 
 
// register site as embed provider 
// apikey is unique for your site, protects against unauthorized usage. 
function register_CAST_provider() { 
 
	wp_oembed_add_provider( 'https://screencast.porncms.com/wpvideo/*', 'https://screencast.porncms.com/?page=wpvideo&apikey=k7m5u7s0o7n9', false ); 
 
} 
add_action( 'init', 'register_CAST_provider' ); 
 